This Bugzilla instance is a read-only archive of historic NetBeans bug reports. To report a bug in NetBeans please follow the project's instructions for reporting issues.

Bug 122145 - Diff should know the content of the refactored file.
Summary: Diff should know the content of the refactored file.
Status: VERIFIED FIXED
Alias: None
Product: versioncontrol
Classification: Unclassified
Component: Mercurial (show other bugs)
Version: 6.x
Hardware: All All
: P3 blocker (vote)
Assignee: issues@versioncontrol
URL:
Keywords:
Depends on:
Blocks:
 
Reported: 2007-11-16 13:20 UTC by Peter Pis
Modified: 2008-01-03 09:35 UTC (History)
0 users

See Also:
Issue Type: DEFECT
Exception Reporter:


Attachments
proposed patch (9.83 KB, patch)
2007-11-19 10:26 UTC, Padraig Obriain
Details | Diff

Note You need to log in before you can comment on or make changes to this bug.
Description Peter Pis 2007-11-16 13:20:33 UTC
Product Version: NetBeans IDE 6.0 RC1 (Build 200711160000)
Java: 1.6.0_03; Java HotSpot(TM) Client VM 1.6.0_03-b05
System: Windows XP version 5.1 running on x86; Cp1252; en_GB (nb)
Userdir: D:\ide\60daily\user

Step:
1. Open project under hg control.
2. With the use of refactoring rename the file and commit changes.
3. Select some file of it and invoke "Mercurial | Show Annotations" action.
4. Over the annotation column invoke popup menu and choose "Diff x to (x-1)" action.

The (x-1) version shows - <Content Not Available>
Comment 1 Padraig Obriain 2007-11-16 15:02:55 UTC
I need to specify --follow to hg annotate command.
Comment 2 Padraig Obriain 2007-11-19 10:26:25 UTC
Created attachment 53189 [details]
proposed patch
Comment 3 Padraig Obriain 2007-11-19 12:05:36 UTC
IDE:-------------------------------------------------
IDE: [11/19/07 12:04 PM] Committing started
Checking in ui/annotate/AnnotationBar.java;
/shared/data/ccvs/repository/versioncontrol/mercurial/src/org/netbeans/modules/mercurial/ui/annotate/AnnotationBar.java,v
 <--  AnnotationBar.java
new revision: 1.7; previous revision: 1.6
done
Checking in ui/annotate/AnnotateAction.java;
/shared/data/ccvs/repository/versioncontrol/mercurial/src/org/netbeans/modules/mercurial/ui/annotate/AnnotateAction.java,v
 <--  AnnotateAction.java
new revision: 1.6; previous revision: 1.5
done
Checking in ui/annotate/AnnotateLine.java;
/shared/data/ccvs/repository/versioncontrol/mercurial/src/org/netbeans/modules/mercurial/ui/annotate/AnnotateLine.java,v
 <--  AnnotateLine.java
new revision: 1.6; previous revision: 1.5
done
Checking in util/HgCommand.java;
/shared/data/ccvs/repository/versioncontrol/mercurial/src/org/netbeans/modules/mercurial/util/HgCommand.java,v  <-- 
HgCommand.java
new revision: 1.54; previous revision: 1.53
done
IDE: [11/19/07 12:04 PM] Committing finished
Comment 4 Peter Pis 2007-12-10 06:28:44 UTC
Verified.